SDK4.0 This document shows Ameba SDK 4.0 APIs

- Main Page
- Modules
- Data Structures
- Files

SLEEP
Ameba SDK » HAL

sleep functions More...

## Ameba Common
void | sleep (void)
void | deepsleep (void)

## Detailed Description

sleep functions

## Function Documentation

void deepsleep | ( | void |  | ) |

Send the microcontroller to deep sleep

This processor is setup ready for deep sleep, and sent to sleep using __WFI(). This mode has the same sleep features as sleep plus it powers down peripherals and clocks. All state is still maintained.

The processor can only be woken up by an external interrupt on a pin or a watchdog timer.

Return values

  None |

Note
  The mbed interface semihosting is disconnected as part of going to sleep, and can not be restored. Flash re-programming and the USB serial port will remain active, but the mbed program will no longer be able to access the LocalFileSystem

void sleep | ( | void |  | ) |

Send the microcontroller to sleep

The processor is setup ready for sleep, and sent to sleep using __WFI(). In this mode, the system clock to the core is stopped until a reset or an interrupt occurs. This eliminates dynamic power used by the processor, memory systems and buses. The processor, peripheral and memory state are maintained, and the peripherals continue to work and can generate interrupts.

The processor can be woken up by any internal peripheral interrupt or external pin interrupt.

Return values

  None |

Note
  The mbed interface semihosting is disconnected as part of going to sleep, and can not be restored. Flash re-programming and the USB serial port will remain active, but the mbed program will no longer be able to access the LocalFileSystem